# Uses of Interface
org.biojava.utils.bytecode.CodeMethod

## Uses of CodeMethod in org.biojava.utils.bytecode

Classes in org.biojava.utils.bytecode that implement CodeMethod
Modifier and Type
Class
Description
`final class`
`GeneratedCodeMethod`
A method that will be generated.
Methods in org.biojava.utils.bytecode that return CodeMethod
Modifier and Type
Method
Description
`static CodeMethod`
IntrospectedCodeClass.`forMethod(Method method)`
`CodeMethod`
CodeContext.`getCodeMethod()`
Get the method which is being generated.
`CodeMethod`
CodeClass.`getConstructor(CodeClass[] args)`
Get a constructor by argument list.
`CodeMethod`
GeneratedCodeClass.`getConstructor(CodeClass[] args)`
`CodeMethod`
IntrospectedCodeClass.`getConstructor(CodeClass[] args)`
`CodeMethod`
CodeClass.`getMethod(String name, CodeClass[] args)`
Get a method by name and argument list.
`CodeMethod`
GeneratedCodeClass.`getMethod(String name, CodeClass[] args)`
`CodeMethod`
IntrospectedCodeClass.`getMethod(String name, CodeClass[] args)`
Methods in org.biojava.utils.bytecode with parameters of type CodeMethod
Modifier and Type
Method
Description
`static Instruction`
ByteCode.`make_invoke(CodeMethod cm)`
Make an invoke opcode that is suited to the method.
`static Instruction`
ByteCode.`make_invokeinterface(CodeMethod cm)`
`static Instruction`
ByteCode.`make_invokespecial(CodeMethod cm)`
`static Instruction`
ByteCode.`make_invokestatic(CodeMethod cm)`
`static Instruction`
ByteCode.`make_invokevirtual(CodeMethod cm)`
`static Instruction`
ByteCode.`make_return(CodeMethod method)`
A convenient one-stop method to get a return statement suitable for a method.
`int`
ConstantPool.`resolveInterfaceMethod(CodeMethod m)`
`int`
ConstantPool.`resolveMethod(CodeMethod m)`
`void`
GeneratedCodeClass.`setCodeGenerator(CodeMethod method, CodeGenerator cg)`